import fs from 'fs'
import path from 'path'
import type { DefaultTheme, LocaleSpecificConfig } from 'vitepress'
 
export const nlConfig: LocaleSpecificConfig<
 
  DefaultTheme.Config > = {
   
    lang: 'nl',
    title: "https://ultimatekingdom.nl",
    description: "Minecraft Ultimate Kingdom Plugin information",
 
  themeConfig: {
   
   
    //externalLinkIcon: true,
    darkModeSwitchLabel: 'Dark/Light',
    sidebarMenuLabel: 'Menu', 
    //langMenuLabel: '<button class="menu-burger"></button>,',
    siteTitle: 'UltimateKingdom.nl',
   
     logo: '/logo.png',
     
    lastUpdatedText: 'Laatste aanpassing',
 
    lastUpdated: {
        formatOptions: {
          dateStyle: 'short',
          timeStyle: 'short'
        },
        text: 'Laatste wijziging'
      },
 
    docFooter: {
        prev: "Vorige",
        next: "Volgende"
      },
  
      sidebar: sidebar(),
 
      returnToTopLabel: 'naar boven',
 
      outlineTitle: 'Op deze pagina',
      outline: {
        label: 'Op deze pagina',
        level: [2, 3]
      },
 
      editLink: {
        pattern: 'https://git.recorehosting.com/webadmin/ultimatedocs/blob/master/docs/:path',
        text: 'Bewerk deze pagina op onze git'
      },
  }  
}
 
  function sidebar() {
    return [
            {
              text: 'Over',
              collapsed: false,
              items: [
                {
               
                  items: [
                    {
                      text: 'Wat is ultimatekingdom?',
                      link: '/about/information#wat-is-ultimatekingdom'
                    },
                    {
                      text: 'Plugin uitproberen?',
                      link: '/about/information#plugin-uitproberen'
                    }
                    , {
                      text: "Licentie's",
                      link: '/about/information#licentie-gebruik-plugin'
                    },
                    {
                      text: 'Wij zoeken',
                      link: '/about/information#wij-zoeken'
                    },
                    ]    
                    },
              ]
            },
            {
              text: 'Handleiding',
              collapsed: false,  
              items: [
                    {text: 'Setup',link: '/guide/setup'},      
                    {text: 'Kingdoms',link: '/guide/kingdoms'},
                    {text: 'Provincies',link: '/guide/province'},
                    {text: 'Warps & Spawn', link: '/guide/warps-spawn' },
                    {text: "Worldguard Regio's", link: '/guide/regions' },
                    {text: 'Kingdom Chat ',link: '/guide/channels'},
 	            {text: 'Combat',link: '/guide/combat'},
                    {text: 'Uitnodigingen & Relaties',link: '/guide/relations'},
                    {text: 'Berichten' , link: '/guide/messages' },
                    {text: 'Ingame help' , link: '/guide/ingamehelp' },
                    {text: 'Overige instellingen', link: 'guide/others'},
                    {text: 'Folia ondersteuning', link: '/guide/folia' },
              ]
            },
            {
              text: 'Referenties',
              collapsed: false,
              items: [
                { text: "Commando's", link: 'ref/commands' },
                { text: 'Placeholders', link: 'ref/placeholders' },
                { text: 'Worldguard', link: 'ref/worldguard' },
                { text: 'Channels.yml', link: 'ref/channels' },
                { text: 'KingdomLevel.yml', link: 'ref/kingdomlevel' },
                { text: 'PlayerLevel.yml', link: 'ref/playerlevel' },
 		{ text: 'ProvinceLevel.yml', link: 'ref/provincelevel' },	
                { text: 'Ranks.yml', link: 'ref/ranks' },
                { text: 'GamePlay.yml', link: 'ref/gameplay' },
              ]
            ,},
            {
              text: 'Koppelingen',
              collapsed: false,
              items: [
                 { text: "DynMap", link:   'hooks/dynmap' },
                 { text: "BlueMap", link: 'hooks/bluemap' },
                 { text: "PlaceholderAPI", link: 'hooks/placeholderapi' },
              ]
            ,},
      
            {
              text: 'Addons',
              collapsed: false,
              items: [
                { text: "KingdomDiscordChat", link: 'addons/ultimatediscordchat' },
              ]
            ,}
    ]
}