---
lastUpdated: true
aside: true
mermaidTheme: base
title : Combat
description : Combat informatie
keywords : 'kingdom plugin,combat, war, minecraft plugin, spigot plugin, gameplay,handleiding, warp, spawn, beste, commandos, permissies uitleg'
meta_url : 'https://ultimatekingdom.nl'
---

:::warning Naamgeving 
De combat gedeelte is nog in ontwikkeling en zal pas vanaf versie 2.50.x beschikbaar zijn.
:::

# Combat

In dit hoofdstuk lees je alles over het aanmaken/verwijderen en instellen van een combat.

Een combat is voor alle kingdoms of voor teams. In iedere team moet minimaal één kingdom zitten.
Alle kingdoms in één team werken samen. Een kingdom kan maar in één combat tegelijk meedoen.
Wordt een andere combat gestart waar een kingdom in zit die al in combat zit, dan start de combat niet, maar wordt juist met 30 minuten uitgesteld.

Spelers die kapot gaan tijdens een combat, of op de server komen terwijl de combat al bezig is, gaan niet mee doen met een lopende combat.


## Combat

In een combat zitten de belangrijste instellingen zoals teams, start- en looptijd.;


###  Combat aanmaken

Met het onderstaande commando maak je een combat aan.
De combat moet een unieke naam hebben en mag geen naam bevatten van een kingdom,provincie, combatteam of een eerdere combat 
Hierdoor kan je via [/k info](../ref/commands.md#info) ```informatie opvragen zonder op te geven of het een kingdom, provincie, etc is.

```ts
/k combat createcombat <naam>
``` 

###  Combat verwijderen

Je kan een combat makkelijk verwijderen met het onderstaande commando.
Let op, je verwijder ook de teams en punten registratie van deze combat

```ts
/k combat deletecombat <naam>
``` 

###  Displaynaam instellen

Je kan een mooie displayname instellen voor de combat. Deze kan je weer opvragen via een placeholder

```ts
/k combat setdisplayname <displaynaam>
``` 

### Looptijd instellen

Stel de looptijd in van de combat, bijv 10h is 10 uren

```ts
/k combat setduration <combatnaam> <tijd>  Bijv: ```/k combat setduration test 30m```
``` 


### Begintijd instellen

Stel de starttiijd in van de combat
```ts
/k combat setstarttime <combatnaam> dag maand jaar uren minuten  ```/k combat setstarttime test 1 12 2025 20 10```
``` 


### Starttijd verwijderen

Verwijder de starttijd. Als een combat geen starttijd heeft, kan hij niet starten.

```ts
/k combat deletestarttime <combatnaam>
``` 

:::warning Let op,
De starttijd wordt dan aangegeven als 01 januari 1970 01:00:00 uur
:::
### Server blokkeren voor combat

Blokkeer een server voor een combat. De combat start wel, maar  speler/kingdoms zijn er niet in combat

```ts
/k combat
``` 

### Kingdom Region koppelen 

In deze regio gaat de combat zich afspelen.
Zodra een combat aankondiging is, kunnen alleen verdedigers het land betreden.
De aanvallers kunnen dat niet. Mocht er een aanvaller al in de regio zitten, dan wordt deze naar de spawn van zijn kingdom gezet.
Zodra de combat is begonnen kunnen de aanvallers het land op. 


Een regio kan je met het onderstaande command koppelen/verwijderen

```ts
 ///soon
``` 

### Player Limiet instellen.

Dit werkt alleen ism [kingdom region koppelen](#kingdom-region-koppelen)

Als er een player-limit op de combat is gezet, dan worden vlak voor de combat begint, alle leden van de verdedigede kingdom geteld 
Als de combat begint, worden er een autmatische selectie gemaakt van de aanwezige aanvallers. Deze kunnen het land betreden
ALs er een speler kapot gaat, doen ze niet meer mee in de combat, en kunnen ze de regio niet betreden.

Het instellen van deze limiet doe je met het onderstaande command

```ts
 /k combat setplayerlimit <true/false>
``` 

### Combat starten/stoppen

Start of stop een combat nu. Na uitvoeren zal de combat binnen 5 seconden starten of stoppen.
```ts
 ///soon
``` 

### Uitschakkelen commands tijdens combat 

Het is mogelijk om een lijst met commandos te blokkeren tijdens een combat. 
De lijst kan je aanpassen in de config.yml


voorbeeld:
```ts
 ///soon
``` 

Om deze lijst aan te zetten gebruik je het onderstaande commando

```ts
 ///soon
``` 

### Combat informatie opvragen

Vraag informatie over een combat op

```ts
/k info <combatnaam>
``` 
___

### Zet speler in combat

Met dit onderstaande commando kan je een speler toch met een combat laten meedoen.
Zijn/haar kingdom moet wel in een van de teams zitten en de speler moet online zijn
op de server waar het commando wordt uitgevoerd.


```ts
 ///soon
``` 

___

## Teams 

In iedere combat moeten minimaal twee teams zitten, en in iedere team moet minimaal 1 kingdom zitten.
Is dit niet het geval, dan kan een combat niet starten. 

::: tip
Wil je dat alle kingdoms tegen elkaar vechten, voeg dan geen teams toe
:::


### Team aanmaken

Met het onderstaande command kan je een team aanmaken in een combat.
Hierna kan je eventueel een kingdom gaan toevoegen

```ts
/k combat createteam <combatnaam> <teamnaam>
``` 

### team verwijderen

Met het onderstaande command kan je een team verwijderen uit een combat.
Alle kingdoms die in dit team zaten, worden ook verwijderd.

```ts
 k combat deleteteam <combatnaam> <teamnaam>
``` 

### Kingdom toevoegen aan team

Met het onderstaande command kan je een kingdom toevoegen aan een Team.
Een kingdom kan niet in twee teams van dezelfde combat zitten.

```ts
/k combat addtoTeam <combatnaam> <teamnaam> <kingdom>
``` 

### Kingdom verwijderen uit team

Met het onderstaande command kan je een kingdom verwijderen uit een team.

```ts
/k combat removefromTeam <combatnaam> <teamnaam> <kingdom>
``` 


### Team informatie opvragen

Je kan informatie opvragen over een team. Je ziet precies welke kingdom in welke team zit.

```ts
/k info <teamnaam>
``` 
___


## WorldGuard combat flags

```ts
 ///soon
``` 

___


## Meldingen 

### Start van Combat

```ts
 ///soon
``` 


### Einde van Combat
```ts
 ///soon
``` 


### Vooraankondiging Combat
```ts
 ///soon
``` 


## Opties

### ScoreBoard

```ts
 ///soon
``` 


### Bossbar
```ts
 ///soon
``` 

### Hologram placeholders
```ts
 ///soon
``` 

## Combat opvragen.

Met het onderstaande command kan je een lijst met combats opvragen.

```ts
/k listcombats active // Laat de lopende combats zien
/k listcombats scheduled // Laat de ingeplande combats zien
/k listcombat history // laat de verlopen combats zien
``` 
:::tip
Met de opdracht [/k info](../ref/commands.md#info) kan je informatie opvragen over teams, en combats
:::
