---
lastUpdated: true
aside: true
mermaidTheme: base
title : Kingdom aanmaken
description : Hoe maak ik een kingdom aan
keywords : 'kingdom plugin, ultimate, minecraft plugin, spigot plugin, gameplay,handleiding, warp, spawn, beste, commandos, permissies uitleg'
meta_url : 'https://ultimatekingdom.nl'
---


# Kingdom

In dit hoofdstuk lees je alles over het aanmaken/verwijderen en instellen van een kingdom.  
Je gebruikt hiervoor het commando [ /k kingdom ](/ref/commands.md#kingdom)


## Kingdom aanmaken 


Voor het aanmaken van een kingdom voer je de volgende commando's uit.

```ts
/k setmod enable // zet jezelf eerst in mod-mode.
/k kingdom create <kingdom naam>...
``` 

Bij het aanmaken van de nieuwe kingdom wordt er een nieuwe permissie-groep aangemaakt en worden er permissies toegevoegd.Je kan in de config.yml van de SockExchange plugin de permissie-lijst bepalen welke permissies bij het aanmaken worden toegevoegd.  

Als een speler lid wordt van een kingdom, wordt deze groep automatisch toegewezen aan de speler.

Na het aanmaken is de kingdom op alle servers beschikbaar en kan je verder gaan met het configueren van de kingdom door bijvoorbeeld een slogan in te stellen of kleuren in te stellen dmv van het aanpassen van de display-naam. 


## Kingdom verwijderen.

Bij het verwijderen van een kingdom worden alle gegevens zoals regions, provincies, relaties enz. verwijderd en worden spelers uit de kingdom gezet.

```ts
/k kingdom delete <kingdom naam>...
``` 

## Kingdom hernoemen.

Met het onderstaande commando kan je de kingdom een andere naam geven.

```ts
/k kingdom rename <oude kingdom naam> <nieuwe kingdom naam>
``` 

## Kingdom status 

Een kingdom een van de volgende statussen krijgen : open, blocked, locked, hidden,closed, 
 

- **open:** doet niets
- **blocked:** er kan niemand lid worden van deze kingdom  
- **blocked:** spelers kunnen kingdom niet verlaten
- **hidden:** kingdom is niet te zien door andere spelers, warps/spawns werken wel voor eigen spelers. In de chat staat niet de kingdom-naam of rank van speler. 
- **closed:** kingdom is niet te gebruiken, **alle leden worden uit de kingdom gezet**.


```ts
/k kingdom status set <kingdom naam> <status>
/k kingdom status info <kingdom naam> 
``` 

::: tip  
Spelers in mod-mode kunnen wel een hidden kingdom zien. 
Sommige admin commando's laten altijd de verborgen kingdoms zien 
:::


## Slogan instellen

Je hebt de mogelijk om voor een kingdom een slogan in te stellen. Deze slogan kan je gebruiken in de `k info` commando of in andere plugins dmv een placeholder.

voorbeeld slogan: *Een stoere kingdom* 
![example](/niceplaceholders.png)

Je kan de slogan instellen met het command [setslogan](/ref/commands.md#setslogan).

```ts
/k kingdom setslogan <kingdom naam> <slogan>
``` 

 Een speler in mod-mode kan een slogan van  kingdoms instellen. Zit een speler niet in mod-mode, dan kan hij alleen zijn eigen kingdom instellen


## Lid worden van kingdom

Een speler kan lid worden van een kingdom door het commando [/k join](/ref/commands.md#join) te gebruiken.

```ts
/k join <kingdom naam>
``` 

Als een kingdom invite-only is, dan moet de speler een uitnodiging hebben van een kingdom-lid. 

Spelers die net een kingdom hebben verlaten, moeten eerst wachten voordat ze weer lid kunnen worden van een kingdom. Deze cooldown kan je instellen in de config.yml. Spelers kunnen niet lid worden van een geblokkeerde kingdom.

Een speler in mod-mode kan het commando [/k set](/ref/commands.md#set) gebruiken om een speler in een kingdom te zetten.

## Kingdom verlaten

Een speler kan een kingdom verlaten door het commando [/k leave](/ref/commands.md#leave) te gebruiken. 

Als er een cooldown is ingesteld kan een speler niet gelijk lid worden van een andere kingdom. 

Na het verlaten wordt de speler kan de speler worden geteleporteerd naar : serverspawn, worldspawn of de ingestelde leave-locatie. 

Als de leave-locatie niet is ingesteld, dan worden spelers naar de server-spawn gestuurd, mits deze is ingesteld. Deze laatste kan uitgezet in de config.yml
In dat geval wordt de speler naar de world-spawn gezet.

```ts
/k leave 
``` 

Een speler in mod-mode kan een speler uit een kingdom zetten door het commando [/k kick](/ref/commands.md#kick). Een kingdom-lid kan dit commando ook gebruiken, maar kan alleen spelers uit eigen kingdom er uit zetten.


## Speler uit kingdom verwijderen.

Je kan een speler uit je kingdom verwijderen met het onderstaande commando. Je kan niet een speler met een hogere rank uit je kingdom zetten.  

Na het verlaten wordt de speler kan de speler worden geteleporteerd naar : serverspawn, worldspawn of de ingestelde leave locatie.

Als de leave-locatie niet is ingesteld, dan worden spelers naar de server-spawn gestuurd, mits deze is ingesteld. Deze laatste kan uitgezet in de config.yml
In dat geval wordt de speler naar de world-spawn gezet.

Spelers in mod-mode kan iemand uit iedere kingdom zetten.
```ts
/k kick <spelers naam>
``` 

Na verwijdering wordt een speler naar de wereld-spawn of server spawn ge-teleporteerd.


## Speler in een kingdom zetten

Met het onderstaande commando kan een beheerder iemand in een kingdom zetten.
Deze speler krijgt automatisch de rank die als standaard is ingesteld.

```ts
/k set <spelersnaam> <kingdom naam>                            
```

## Rank groepen

Je kan per kingdom andere namen voor een rank gebruiken. Dit noemen we rank-groepen.
Dit kun je instellen in [ranks.yml](/ref/ranks) van de SockExchange plugin, door een andere rank-groep benaming te gebruiken. Daarna kun je door middel van een commando de nieuwe rank groep aan een kingdom koppelen   


::: danger **Vergeet niet een default-rank in te stellen en maak de rank-weight gelijk aan de oude rank van de andere rank-groep. Zo snapt de plugin wat de nieuwe rank moet worden van bestaande leden. Er moet ALTIJD een default groep bestaan.**
 :::

Als voorbeeld hebben wij een viking en kingdom groep ingesteld.
De kingdom is de default groep.

Voor het koppelen van een rankgroep aan een kingdom gebruik je de volgende commando

```ts
/k kingdom setrankgroup <groep-naam>
``` 

Mochten er spelers lid zijn van de kingdom, dan worden de ranks van de kingdom leden automatisch omgezet.
De nieuwe ranks worden opgezocht dmv de rank-weight.
**Als er geen gelijkwaarde rank-weight is gevonden, dan krijgt de speler de default-rank van de betreffende rank-group**


## Rank van een speler aanpassen

Je kan een rank van een speler aanpasen dmv het onderstaande commando.

```ts
/k setrank <spelersnaam> <rank>
``` 

Een speler die niet in mod-mode zit, kan alleen spelers van eigen kingdom aanpassen, en kan de rank van een speler met een hogere gewicht niet aanpassen.
Spelers in mod-mode kunnen van alle spelers in alle kingdom's de rank van een andere speler wijzigen.

## Een rank uitschaken/limieten instellen

Met het onderstaande commando kan een rank in- of uitschakelen en een limiet zetten.

```ts
/k rank info <kingdom naam> <ranknaam>               // Laat zien of een rank uitgeschakeld is voor een kingdom
/k rank enable <kingdom naam> <ranknaam>             // Schakel voor een kingdom een rank in.
/k rank disable <kingdom naam> <ranknaam>            // Schakel voor een kingdom een rank uit.
/k rank limit set <kingdom naam> <ranknaam> <value>  // Stel voor een kingdom een limit van een rank in.
/k rank limit unset <kingdom naam> <ranknaam>        // Verwijder een limit van een rank
```


## Chat-group koppelen

Met het onderstaande commando kan je een chat-groep koppelen/verwijderen aan een kingdom
Alle andere kingdoms die in dezelfde groep zitten ontvangen je verstuurde chat in door de beheerder ingestelde chat-kanaal

```ts
/k kingdom setchatgroup <kingdom naam> <groepnaam>               // Koppelen van een chat-groep
/k kingdom unsetchatgroup <kingdom naam>                         // Verwijderen van een chat-groep
```

## Kingdom koppelen aan WorldGuard regio

[zie kingdom koppelen aan wordguard regio](regions.md)


## Kingdom inventory

Een Kingdom inventory is een voor iedere kingdom gedeelde inventory die de leden van een kingdom kunnen openen op iedere server.
Er mag maar één lid per keer de inventory open hebben. Een beheerder kan in de config.yml de groote van de inventory instellen of materiaal blokkeren.
Spelers in mod-mode kunnen van iedere kingdom de inventory openen, of een een inventory gefoceerd sluiten.

```ts
/k inventory  //commando om de inventory te openen

//alleen voor spelers in mod-mode
/k inventory open <kingdom naam>
/k inventory forceclose <kingdom naam>
``` 

::: tip
 Bij het gebruik van veschillende minecraft-versies kan het voorkomen er een vervanger wordt gekozen voor materiaal die niet bekend is op de minecraft versie waar de inventory wordt geopend. De kingdom plugin maakt hiervoor gebruik van xseries library. 
:::

## Instellingen


### Display-naam

Is een placeholder die ingame gebruikt wordt door de plugin  (zie nl.yml).

```ts
/k kingdom setdisplayname <kingdom naam> <name>
``` 

### Placeholder

Deze placeholders worden ingame niet gebruikt en kan gebruikt worden voor eigen koppelingen.

```ts
/k kingdom setplaceholder <kingdom naam> <placeolder>
``` 

### Prefix-naam

Prefix-name is een placeholder die ingame gebruikt wordt door de plugin. (zie nl.yml).

```ts
/k kingdom setprerixedname <kingdom naam> <name>
``` 


### Uitnodiging verplicht (Invite only)

Met deze optie bepaal je iemand zonder toestemming lid kan worden van je kingdom. Als de kingdom op *uitnodiging verplicht* staat, kan een speler alleen lid worden als hij/zij ook een uitnodiging heeft. 

```ts
/k kingdom setinviteonly <kingdom naam> <true/false>
``` 


### Eigen vuur (FriendlyFire)

Eigen vuur (friendly-fire) is voor als je wil toestaan dat eigen kingom leden elkaar kunnen slaan/doden. 

```ts
/k kingdom setfriendlyfire <kingdom naam> <true/false>
``` 

### Max aantal leden

Met het onderstaande commando kan je de max. aantal spelers instellen.

```ts
/k kingdom setfriendlyfire <kingdom naam> <true/false>
``` 

### Kingdom Level

Een kingdom level kan van alles zijn, maar als voorbeeld hebben wij de levels: *Democratie, Tirannie  plutocratie, Particratie* enz.  voor je ingesteld.
Deze level kan je aan een kingdom koppelen met het commando [/k setlevel](../ref/commands.md#setlevel). 

```ts
/k setlevel kingdom set <kingdom naam> <level>
/k setlevel kingdom unset <kingdom naam> 
``` 

### List provinces

Met deze opdracht kan je een lijst met aan de kingdom gekoppelde provincies opvragen

```ts
/k kingdom listprovinces <kingdom naam>
``` 

