---
lastUpdated: true
aside: true
mermaidTheme: base
title : Overige 
description : Overige instellingen
keywords : 'kingdom plugin, ultimate, minecraft plugin, spigot plugin, gameplay,handleiding, warp, spawn, beste, commandos, permissies uitleg'
meta_url : 'https://ultimatekingdom.nl'
---

# Overige instellingen

## Info command aanpassen

Met het commando '[/k info spelersnaam/kingdomnaam](/ref/commands.md#info) kan je informatie opvragen over een speler of kingdom.   
Als je in een kingdom zit, dan kan je `/k info`  gebruiken om informatie over je eigen kingdom te zien.

Let op neem de verandering mee in alle taalbestanden

voorbeeld 
```ts
kingdom_info0: ' {gold}--------------------------------------------------------- '  
kingdom_info1: ' {green}Kingdom {white}{kingdom.displayname} {green} - {kingdom.slogan} '  
kingdom_info2: ' '  
kingdom_info3: ' {green}Level({white}{kingdom.level.name|-}{green}){white}, {green}Status({white}{kingdom.status.toLowerCase()}{green}){white},{green} Provinces({kingdom.provinces|-}{green}) '  
kingdom_info4: ' '  
kingdom_info5: ' {green}Invite only({white}{yes,no#kingdom.inviteonly}{green}){white},{green}friendly_fire({white}{yes,no#kingdom.friendlyfire}{green})'  
kingdom_info6: ' '
kingdom_info7: ' {green}Online({white}{kingdom.totalonlinemembers}{green}){white},{green} Offline({white}{kingdom.totalofflinemembers}{green}) {white},{green} Max({white}{kingdom.maxmembers}{green}{white}, {green} Allies({white}{kingdom.totalallies}{green}){white}, {red}Enemies({white}{kingdom.totalenemies}{red})'  
kingdom_info8: ' '  
kingdom_info9: ' {green}Online({white}{kingdom.onlinemembers|-}{green}) '  
kingdom_info10: ' '
kingdom_info11: ' {green}Offline({white}{kingdom.offlinemembers|-}{green}) '  
kingdom_info12: ' '
kingdom_info13: ' {green}Visitors({white}{kingdom.spawnvisitors|-}{green})'  
kingdom_info14: ' '
kingdom_info15: '{green}created on: {white}{p,EEEE dd MMMM YYYY GGGG  HH:mm:ss  ,Europe/Amsterdam#kingdom.createdon}'  
kingdom_info16: ' '  
``` 

 [kijk hier voor placeholders die je kan gebruiken](/ref/placeholders)


## Meldingen aanpassen



### Death messages

De custom death messages kan je uitzetten in de config.yml. Je kan ook de teksten aanpassen in nl.yml.
Er zijn meer dan 10 verschillende meldingen. Ze beginnen allemaal met death_.

Death_byplayer bestaat uit twee delen, het eerste deel, voor weapon, is de dader, alles na weapon is de slachtoffer.


### Regio meldingen

De melding die je krijgt als je een kingdom/provincie/ regio binnenloopt kan je aanpassen dmv van placeholders.
Deze kan je in de taal-bestanden

```ts
regionlistener_enterPvpregion_title: ' {green}------> {bold}in'
regionlistener_enterPvpregion: '{red}Pvp {green}regio'

regionlistener_enterNonPvpregion_title: '{green}------> {bold}in'
regionlistener_enterNonPvpregion: '{green}Non-Pvp regio'

regionlistener_leaveNonPvpregion_title: '{red}<------ {bold}out'
regionlistener_leaveNonPvpregion: '{green}Non-PVP regio'

regionlistener_leavePvpregion_title: '{red}<------ {bold}out'
regionlistener_leavePvpregion: '{red}Pvp {green}regio'

regionlistener_enterFriendlyFireRegion_title: '{green}------> {bold}in'
regionlistener_enterFriendlyFireRegion: '{red}FriendlyFire region'

regionlistener_enterFriendlyNonFireRegion_title: '{green}------> {bold}in'
regionlistener_enterFriendlyNonFireRegion: '{red}Non-Friendlyfire'

regionlistener_leaveFriendlyFireRegion_title: '{red}<------ {bold}out'
regionlistener_leaveFriendlyFireRegion: '{green}FriendlyFire regio'

regionlistener_leaveNonFriendlyFireRegion_title: '{red}<------ {bold}out'
regionlistener_leaveNonFriendlyFireRegion: '{Red}Non-FriendlyFire'

region_entertitletext: ' {green}------> {bold}in'
region_entersubtitletext: '{green}{kingdom.displayname} - {region.displayname} '

region_leavingtitletext: '{red}<------ {bold}out'
region_leavingsubtitletext: '{green}{kingdom.displayname} - {region.displayname} '

province_entertitletext: '{green}------> {bold}in'
province_entersubtitletext: '{green}{province.displayname} - {region.displayname} '

province_leavingtitletext: '{red}<------ {bold}out'
province_leavingsubtitletext: '{green}{province.displayname} - {region.displayname} '

flylistener_enterRegionTitle: '{green}------> {bold}in'
flylistener_enterRegion: '{{green}No-Fly-Zone'

flylistener_leaveRegionTitle: '{red}<------ {bold}out'
flylistener_leftFlyRegon: '{green}No-Fly-Zone'
```

### Server join/leave meldingen

De meldingen die de speler krijgt te zien kan je aanpassen in de taal-bestanden.

```ts
join_message: '{white}{kingdomplayer.kingdom.prefixedname|&c[NoKingdom]}{white}{kingdomplayer.rank.prefixedname|}{white}{kingdomplayer.prefixedname} {green}is op de server gekomen!'
leave_message: '{white}{kingdomplayer.kingdom.prefixedname|&c[NoKingdom]}{kingdomplayer.rank.prefixedname|}{white}{kingdomplayer.prefixedname} {green}heeft de server verlaten!'
```

Deze meldingen worden op alle servers getoont. Dit kan worden uitgezet door in de config.yml *joinLeaveToAllServers*  op `false` te zetten


## Actionbar lichtkrant

In de plugin zit een actionbar lichtkrant. Hiermee kan je berichten laten ipv via het scoreboard. Je kan de lichtkrant instellen in de taal bestanden.
De lichtkrant staat standaard aan. Deze kan je uit zetten in de config.yml van de kingdom plugin.


## Tijd instellen.



### Syncrohisatie

Je kan de tijd tussen servers laten syncroniseren. 

Zet in de de config.yml de timesync op enabled en zet één van je kingdom servers op master. 
Je kan zelf bepalen van welke wereld de tijd wordt doorgestuurt naar alle andere servers. Deze staat standaard op :world


```ts
timesync:
  enabled: true
  # 
  #  Tijd van deze server wordt gebruikt
  master: true
  # 
  #  Gebruik echte tijd voor de server (Experiment)
  useRealTime: false
  # 
  #  wereld waarvan de tijd wordt gebruikt
  world_timesync: world
  ```

### Tijd aanpassen

Met de [opdracht](../ref/commands.md#time) je een verzoek naar de master time server sturen om de tijd aan te passen. 
Vanuit de master time server wordt deze aanpassing doorgestuurd naar alle andere servers.
