---
lastUpdated: true
aside: true
mermaidTheme: base
title : Setup van Ultimate kingdom plugin
description : Hoe moe ik de multiserver ultimate kingdom plugin installeren. 
keywords : 'kingdom plugin, ultimate, minecraft plugin, spigot plugin, gameplay,handleiding, warp, spawn, beste, commandos, permissies uitleg'
meta_url : 'https://ultimatekingdom.nl'
---


# Setup


Onze Ultimate Kingdom Plugin kan je gebruiken vanaf minecraft 1.8.8 t/m 1.20.2

::: warning Spigot heeft geen ondersteuning voor het herkennen van een `multi-release-jar'
**Daarom ondersteunen wij vanaf minecraft 1.17 alleen Paper**
:::


| minecraft       |    java    |  jar            |
| --------------- | :--------: | :-------------: |
| 1.8.8 - 1.16.5  |     8      | PaperMC/Spigot  |
| 1.17            |    17      | PaperMC         |
| 1.18-1.20.4     |    17      | PaperMC         |

Wij ondersteunen geen andere java versies.


## Benodigheden

Voor het gebruik van onze plugins heb je een bungeecord of een VeloCity server nodig en een of meerdere servers die als kingdom server gaan dienen.
Ook is de plugin Luckperms nodig. Je hebt de Luckperms database op een SQL-Server waar ook de andere servers verbinding mee kunnen maken.


De ultimate kingdom plugin werkt ook samen met : [EssentialsX](https://essentialsx.net/), [PlaceholderAPI](https://www.spigotmc.org/resources/placeholderapi.6245/), [WorldGuard](https://dev.bukkit.org/projects/worldguard), [SuperVanish](https://www.spigotmc.org/resources/supervanish-be-invisible.1331/), [BlueMap](https://bluemap.bluecolored.de/), [DynMap](https://www.spigotmc.org/resources/dynmap%C2%AE.274/), [ProHolographicDisplays](https://www.spigotmc.org/resources/proholographicdisplays-holographic-displays-continued-now-on-spigot.112186/) 

Voor wordguard is er de onderstaande ondersteuning

| Worldguard versie    | minecraft versie     | 
|:--------------------:|:--------------------:| 
|        6.2.0         |  1.8.8 tm 1.11       | 
|        6.2.2         |      1.12            | 
|        7.0.0         |      1.13            | 
|        7.X           |  1.14 tm 1.20.4      | 


::: danger **!!! Zorg dat de van zowel Exchange als de kingdom plugin de eerste twee getallen van de versie-nummer overeen komen. !!!** 

**Exchange-2.6.xx gaat niet goed werken met UltimateKingdom-2.5.xx.**
:::

### Extra Poort

Je hebt een extra poort nodig bij je BungeeCord/VeloCity. Deze poort geef je zowel bij de Exchange server als de Kingdom plugin configuratie op


## Installeren Exchange plugin. <Badge type="tip" text="niet in standalone versie"/>  


[![Build Status](https://jenkins.recorehosting.com/job/Exchange_2.x/badge/icon)](https://jenkins.recorehosting.com/job/Exchange_2.x/)


Installeer de exchange plugin op een BungeeCord of VeloCity server samen met Luckperms.

Na opstarten worden de bestanden config.yml,channels.yml,ranks.ymk, kingdomlevels.yml playerleves.yml aangemaakt.

Standaard wordt de data opgeslagen op disk. Wil je dat de data wordt opgeslagen op een SQL server?,
verander dan in config.yml `storage type naar sql`. 

&nbsp;
&nbsp;
```ts
storage: 
    type : file // [!code --]
    type : sql  // [!code ++]

  ```

Na opstarten kun je de nieuw aangemaakte sql.yml bestand aanpassen met je eigen database gegevens.
zie onder

Bijvoorbeeld. 
Server: 192.168.100.1
Database greatkingdom
Gebruikersnaam: mylogin
Wachtwoord: mypassword

```ts
hibernateSettings:
  hibernate.current_session_context_class:  thread
  hibernate.show_sql: false
  hibernate.dialect: org.hibernate.dialect.MariaDBDialect
  hibernate.connection.provider_class: org.hibernate.hikaricp.internal.HikariCPConnectionProvider
  hibernate.hikari.minimumIdle: 5
  hibernate.hikari.maximumPoolSize: 10
  hibernate.hikari.idleTimeout: 30000
  hibernate.hikari.dataSourceClassName: org.mariadb.jdbc.MariaDbDataSource
  hibernate.hikari.dataSource.url: "jdbc:mariadb:/<ip or hostname>/<database name>" // [!code --]
  hibernate.hikari.dataSource.user:  <database user>  // [!code --]
  hibernate.hikari.dataSource.password: <database password>  // [!code --]
  hibernate.hikari.dataSource.url: "jdbc:mariadb:192.168.100.1/greatkingdom" // [!code ++]
  hibernate.hikari.dataSource.user: mylogin // [!code ++]
  hibernate.hikari.dataSource.password: mypassword  // [!code ++]


  hibernate.hbm2ddl.auto: update
  ```


## Installeren kingdomplugin 

[![Build Status](https://jenkins.recorehosting.com/job/UltimateKingdom-2.XX/badge/icon)](https://jenkins.recorehosting.com/job/UltimateKingdom-2.XX/)   


Installeer de plugin op iedere minecraft server die je wil gebruiken en zorg dat de benodigde plugins zoals WorldGuard,WorldEdit,LuckPerms ook geinstalleerd zijn op alle servers.

Na opstarten is het configuratiebestand config.yml aangemaakt. Vul hier de licentiecode in, de extra poort, wachtwoord van de Exchange plugin en
pas de servernaam en clusternaam aan

Het ip adres van de Exchange plugin is hetzelde als je bungeecord server. 

::: warning Let op!
**Verander de servernaam naar de naam die je in de configuratie van Bungeecord gebruikt**  en verander ook ClusterNaam in iets anders

De clusternaam wordt ingame gebruikt, maak er dus iets moois van.   
Je zou bijvoorbeeld: noord, zuid, oost, west kunnen gebruiken, of een naam van een gebied.

Maak je gebruik van multipaper[^1] en is dit een extra node?    
Hou dan de clusternaam hetzelfde als de andere nodes.
:::

```ts
 ClusterName: node1
  # 
  # wat is de naam van deze server? 
  # Dit moet dezelfde naam zijn die je op hebt gegeven in de config van BungeeCord.
  # Zorg ervoor dat het gebruik van hoofdletters hetzelfe is 
  #  'Node' is NIET hetzelfde als 'node'.
  ServerName: node1
```

**Zowel de UltimateKingdom als de Exchange plugin geven aan als de verbinding tot stand komt.**


## Instellen permissies

Om je te helpen met de instellen van de rechten in Luckperms hebben we een commando voor je klaar staan
Hiermee krijg je een idee hoe je de rechten kan indelen.

```ts
/k setup removeranks <rank-groep>  // verwijder alle rank permissie van de opgegeven rank groep (zie rank.yml).
/k setup addranks <rank-groep>     // creeer alle ranks met bijbehorende permissie van de opgegeven rank groep (zie rank.yml).
/k setup install       // creeer allle ranks van alle rank-groepen.
/k setup deleteall     // verwijder alle ranks van alle rank-groepen. 
```    

De aangemaakte permissies(rechten) zijn een voorbeeld. Controleer of ze voor jou goed staan.  

Met */k setup install* worden naast de rank groupen met de bijbehorende permissies ook de groepen `owner, mod, admin` aangemaakt. Het uitvoeren dit commando kan even duren.


::: info bij Multipaper 
*Gebruik de luckperm fork van multipaper[^1] zelf. Zie [github MultiPaper](https://github.com/MultiPaper/LuckPerms)* 
:::

##  Extra server koppelen  <Badge type="tip" text="niet in standalone versie"/>

Een extra minecraft-server koppelen is niet moeilijk. Volg de installatie instructies van de kingdom plugin.    
Je hebt een extra licentie-code nodig. De tweede licentie kan je gratis krijgen op www.recorehosting.com  

Vergeet je niet een andere node-naam en cluster naam op te geven?
De clusternaam wordt ook ingame gebruikt, maar er dus iets moois van.


Maak je gebruik van multipaper[^1] en is dit een extra node? hou dan de clusternaam hetzelfde als de andere nodes.


[^1]: Met [MultiPaper](https://github.com/MultiPaper/MultiPaper) kan je meerdere nodes laten draaien op 1 minecraft wereld. Hierdoor kan je de load van spelers verdelen over meedere nodes.

## Foutmeldingen bij installatie:

###  Registration failed: Unknown name or server name not found in Proxy configuration

Je moet in de config.yml bij servernaam dezelfde naam neerzetten die je ook voor de server in de Proxy (Bungeecord/Velocity) hebt gebruikt.
Denk aan hoofdletters. Node01 is niet hetzelfde als node01.


### No connection with exchange server, en geen andere melding

De kingdom plugin en exchange plugin hebben geen verbinding. Controleer de ingestelde ip adressen en poorten. Fout kan ook veroozaakt worden door een firewall.