---
lastUpdated: true
aside: true
mermaidTheme: base
title : Warps & Spawns
description : Alles over warps & spawns
keywords : 'kingdom plugin, ultimate, minecraft plugin, spigot plugin, gameplay,handleiding, warp, spawn, beste, commandos, permissies uitleg'
meta_url : 'https://ultimatekingdom.nl'
---

# Warps, spawn, server-spawns en travel

Informaties over alle locaties die je kan instellen in de plugin.


:::tip
Op het teleporteren zit een wachtrij van 10 spelers per seconde. Bovenop de standaard teleport-vertraging kan er dus een extra vertraging voorkomen door deze wachtrij.
:::


## Travel

Travel zijn gobale locaties . Een beheerder stelt deze locaties in en spelers kunnen er gebruik van maken. Je kan de opdrachtnaam aanpassen, zodat een 
een speler i.p.v. ```travel <locatienaam>``` bijv ```goto <locatienaam>``` als opdracht kan gebruiken.


### Aanmaken

Met deze opdracht kan er een locatie worden ingesteld. De locatienaam mag niet in gebruik zijn.

```ts
/k setserver set <clusternaam>
```


### Verwijderen

Met deze opdracht kan er een locatie worden ingesteld. De locatienaam mag niet in gebruik zijn.

```ts
/k setserver set <clusternaam>
```


### Naar locatie gaan

Met deze opdracht kan een speler naar een locatie gaan. Het maakt niet uiit op welke server deze zit.

```ts
/k setserver set <clusternaam>
```

## Server spawn 


### Aanmaken
Omdat je nu meerdere servers aan elkaar kan koppelen, wil je ook graag dat je spelers makkelijk naar een locatie van een andere server kunnen, maar wat niet een kingdom/provicie spawn of warp is.

Hiervoor kan je een server-spawn aanmaken en dat doe je met het onderstaande commando. Je kan maar één server-spawn aanmaken per server.

```ts
/k setserver set <clusternaam>
```

### Verwijderen

Je kan een server spawn verwijderen met het onderstaande commando

```ts
/k setserver unset <clusternaam>
```

::: warning Je kan geen naam opgeven bij het instellen van een server-spawn. De plugin gebruikt hiervoor de opgegeven cluster-naam uit de config
:::

### Ga naar een server spawn

Gebruik het onderstaande commando om naar een server-spawn te teleporteren.

```ts
/k server <cluster-naam>

```

## Warp 

Een warp is een locatie die door de leden van een kingdom gebruikt worden. Deze zijn alleen te gebruiken door eigen kingdom leden.

### Aanmaken

Een speler met de juiste rechten kan voor zijn kingdom een warp aan maken met de onderstaande commando. Als de
speler in Mod-mode zit, moet hij de kingdom naam opgeven. Tevens kan hij dan voor iedere kingdom een warp aanmaken.

```ts
/k setwarp set <warpnaam>       

//Alleen beschikbaar in mod-mode
/k setwarp set <kingdom naam> <warpnaam>        
```

### Verwijderen

Een speler met de juiste rechten kan voor zijn kingdom een warp verwijderen met de onderstaande commando. Als de
speler in mod-mode zit, moet hij de kingdom naam opgeven. Tevens kan hij dan van iedere kingdom een warp verwijderen.

```ts
/k setwarp unset <warpnaam>       

/k setwarp unset <kingdom naam> <warpnaam>        
```

### Ga naar een kingdom warp

Om naar een warp te gaan gebruik je als speler het onderstaande commando

```ts
/k warp <warpnaam>                 

//Alleen beschikbaar in mode-mode
/k setwarp <kingdom naam> <warpnaam>
```


## Kingdom spawn 

Iedere kingdom kan een eigen spawn hebben, waardoor spelers makkelijk naar de hoofd locatie kunnen van hun kingdom


### Aanmaken

Een speler met de juiste rechten kan voor zijn kingdom een spawn aan maken met de onderstaande commando. Als de
speler in Mod-mode zit, moet hij de kingdom naam opgeven. Tevens kan hij dan voor iedere kingdom een spawn aanmaken.

```ts
/k setspawn <set>    

//Alleen beschikbaar in mod-mode
/k setspawn set <kingdom naam>     
```


### Verwijderen

Een speler met de juiste rechten kan voor zijn kingdom een spawn verwijderen met de onderstaande commando. Als de
speler in mod-mode zit, moet hij de kingdom naam opgeven. Tevens kan hij dan van iedere kingdom een spawn verwijderen.

```ts
/k setspawn <unset>    

//Alleen beschikbaar in mod-mode
/k setspawn unset <kingdom naam>     
```


### Ga naar een eigen kingdom spawn

Om naar je kingdom spawn te gaan gebruik je het onderstaande commando. Een speler in mod-mode kan naar de spawn van iedere kingdom gaan

```ts
/k spawn 

//Alleen beschikbaar in mod-mode
/k spawn <kingdom naam>
```

### Toegang verlenen 

Je kan andere leden van een kingdom toegang geven om de spawn locatie te gebruiken. Hierdoor kunnen deze leden makkelijk je kingdom bezoeken.

Voor het toestaan, vewijderen of bekijken van deze  rechten zijn de onderstaande commando's beschikbaar.

```ts
/k setvistor set <kingdom naam>       

/k setvistor unset <kingdom naam>   

/k setvistor list         
```

### Ga naar een niet eigen kingdom spawn

Door middel van het onderstaande commando kan je de spawn van een andere kingdom bezoeken. Je moet wel eerste de toegang aanvragen bij de andere kingdom.

```ts
/k visitspawn <kingdom naam>
```

## Kick locatie instellen

Door middel het onderstaande commando kan je een locatie op een server instellen, waar de speler naar toe wordt gestuurd als hij ge-kicked wordt van een kingdom.
Alle servers gaan gebruik maken van deze locatie tijdens een Kick. Bij het instellen wordt de hudige locatie van de speler gebruikt die het commando uitvoert.

```ts
/k settings set  KickLocation

/k settings unset  KickLocation
```

## Leave locatie instellen

Door middel het onderstaande commando kan je een locatie op een server instellen, waar de speler naar toe wordt gestuurd als hij een kingdom verlaat. 
Alle servers gaan gebruik maken van deze locatie. Bij het instellen wordt de hudige locatie van de speler gebruikt die het commando uitvoert.

```ts
/k settings set  LeaveLocation

/k settings unset LeaveLocation
```

## Teleporteer speler naar een van de bovenstaande locaties.

Met het onderstaande opdrachten kan je een speler naar een van de bovenstaande  plugin locatie sturen.

```ts
/k tp warp <player> <kingdom> <warpname>
/k tp spawn <player> <kingdom>
/k tp serverspawn <player> <server>
/k tp travel <player> <name>
```

## Teleport vertraging

Bij op gebruik van de commando's *spawn* of *warp* is er een vertraging op het teleporteren.  
Deze vertraging kan je in de config.yml van de kingdom plugin aanpassen.


## Holograms

Als je gebruik maakt van ProHolographicDisplays, dan kan je kiezen of er wel of geen holograms worden gezet bij de een van de bovenstaande locaties.
In de config.yml kan je de gewenste lijnen toevoegen/verwijderen of instellen welke wel of niet zichtbaar moeten zijn. Je kan eventueel plugin placeholders gebruiken.

De holograms zijn voor iedereen zichtbaar.



