---
lastUpdated: true
aside: true
title: Alle Opdrachten
description: Alle Commando's die in de ultimate kingdom plugin zitten.
meta_keywords : 'kingdom plugin, ultimate, minecraft plugin, spigot plugin, gameplay, addons gratis, opdrachten, permissies uitleg'
meta_url : 'https://ultimatekingdom.nl'
---
# Commands


Alle opdrachten die in de ultimate kingdom plugin zitten.

## accept

<Badge type="info" text="permissie: kingdom.invite"/>

```ts
/k accept <kingdomn naam> 

// alleen beschikbaar in mod-mode
/k accept <kingdom naam aanvrager> <kingdom naam ontvanger>
```
Accepteer de relatieverzoek van een kingdom. Voor het weigeren van het verzoek   
zie : [/k deny](/ref/commands#deny) 


## alert
<Badge type="info" text="permissie: kingdom.alert"/>


```ts
/k alert <melding>

//alleen beschikbaar in mod-mode
/k alert <kingdom naam > <melding> 
```
Stuur een alert bericht naar je eigen kingdomleden op alle servers.


## ally

<Badge type="info" text="permissie: kingdom.ally"/>
<Badge type="info" text="alias: /k friendly"/>

```ts
/k ally <kingdomn naam>

//alleen beschikbaar in mod-mode
/k ally <kingdom naam verzender > <kingdom naam ontvanger> request // stuur verzoek tot wijzigen
/k ally <kingdom naam verzender > <kingdom naam ontvanger> set // wijzig relatie
```
Verander de de status van een relatie met een andere kingdom naar bondgenoten.  
Zie ook : [/k neutral](/ref/commands#neutral),  [/k enemy](/ref/commands#enemy).

Standaard moet een lid van een andere kingdom een bevesting of afwijzing geven. Dit kan in de config.yml van de kingdom plugin worden uitgezet.

```ts 
relationrequest:
    activate_friendlyrequest: true // [!code --]
    activate_friendlyrequest: false // [!code ++]
```

Als mod kan je ook de relatie aanpassen, of een verzoek sturen tot het wijzigen van een relatie  `Je stuurt het verzoek als de verzender!!!`


## broadcast

<Badge type="info" text="permissie: kingdom.broadcast"/>
<Badge type="tip" text="niet in standalone versie"/>


```ts
/k broadcast <melding>                            
```
Verstuur een bericht naar alle spelers op alle servers

## channel

<Badge type="info" text="permissie: kingdom.channel"/>
<Badge type="info" text="alias: /k friendly"/>

```ts
/k channel <channel naam>  enable|disable|setdefault|status 
/k channel list     
/k channel reset    
```

Met deze opdracht kan een speler voor zichzelf een kanaal uit,aan of als default instellen. Normaal is de default de kingdom-kanaal, en kan je hiermee
je bijv. de kanaal trade als default instellen. Met de optie info  kan je zien of het kanaal aan of uit staat.
Wil je een kanaal voor iedereen uitzetten? gebruik kan [setchannel](#setchannel)

De opdracht `/k channel list` geeft alle kanalen weer, en `k channel reset` wist alle gemaakte instellingen.


## deny

<Badge type="info" text="permissie: kingdom.invite"/>

```ts
/k deny <kingdom naam>  

// alleen beschikbaar in mod-mode
/k accept <kingdom naam> <kingdom naam>
```
Weiger een verzoek van een kingdom om de relatie status te wijzigen. : [/k accept](/ref/commands#accept) 


## enemy

<Badge type="info" text="permissie: kingdom.enemy"/>


```ts
/k enemy <kingdomn naam>

//alleen beschikbaar in mod-mode
/k enemy <kingdom naam verzender > <kingdom naam ontvanger> request // stuur verzoek tot wijzigen
/k enemy <kingdom naam verzender > <kingdom naam ontvanger> set // wijzig relatie

Verander de de status van een relatie met een andere kingdom naar vijandig.    
zie ook : [/k neutral](/ref/commands#neutral),  [/k ally](/ref/commands#ally).

Default moet de andere kingdom een bevesting of afwijzing geven. Dit kan in de config.yml worden uitgezet. 

```ts 
relationrequest:
    activate_enemyrequest: true // [!code --]
    activate_enemyrequest: false // [!code ++]
``` 

Als mod kan je ook de relatie aanpassen, of een verzoek sturen tot het wijzigen van een relatie  `Je stuurt het verzoek als de verzender!!!`

## help

<Badge type="info" text="permissie: kingdom.help"/>
<Badge type="info" text="alias: /k h "/>
```ts
/k help
/k help <paginanummer>
/k help <commando>
```

Met deze opdracht kan je de voor jou alle beschikbare opdrachten bekijken. Met `/k help <opdracht>` krijg je een beknopte uitleg en alle verschillende mogelijkheden

## info

<Badge type="info" text="permissie: kingdom.info"/>
<Badge type="info" text="alias: /k i "/>

```ts
/k info <spelersnaam>
/k info <kingdom naam>
/k info <provincie naam>
/k info <combat naam>
/k info <combatteam naam>
```

Informatie over een speler/kingdom.
Zie [info instellen](../guide/others.md#info-command-aanpassen) 


## inventory

<Badge type="info" text="permissie: kingdom.inventory"/>

```ts
/k inventory  //opdracht om de inventory te openen

//alleen voor spelers in mod-mode
/k inventory open <kingdom naam>
/k inventory forceclose <kingdom naam>
```


## invite

<Badge type="info" text="permissie: kingdom.invite"/>

```ts
/k invite <spelersnaam>

// alleen beschikbaar in modmode
/k invite  <kingdom naam> <spelersnaam>
```

Nodig een speler uit om lid te worden van je kingdom.    
Als je kingdom op `invite-only` staat kan een speler na uitnodiging lid worden


## isonline

<Badge type="info" text="permissie: kingdom.isonline"/>
<Badge type="tip" text="niet in standalone versie"/>

```ts
/k isonline <spelersnaam> 
```

Controleer of de speler op een server aanwezig is.


## join

<Badge type="info" text="permissie: kingdom.join"/>


```ts
/k join <kingdom naam> 
```

Join een kingdom. Speler wordt na joinen naar de spawn van de kingdom ge-teleporteerd, mits deze is ingesteld

Een kingdom kan `ivite-only` zijn. Dan moet de speler een uitnodiging krijgen van een speler. Zie [invites](/ref/commands#invite).     

Er kan in de config.yml een cooldown worden ingesteld zodat speler niet een kingdom verlaten om daarna snel lid te worden van een andere kingdom. 


```ts 
settings:
    join_cooldown: 5 
```

## kick

<Badge type="info" text="permissie: kingdom.kick"/>

```ts
/k kick <spelersnaam>
```

Deze opdracht werkt ook met offline spelers. Spelers in mod-mode kunnen alle spelers kicken. Een normale speler kan alleen een speler kicken van zijn eigen kingdom
en zolang hij een hogere rank heeft als de speler die hij wil kicken.

Bij spelers die wel iedereen mogen kicken maar geen toegang hebben tot bijv setmod kan je de permissie : ```kingdom.modbypass``` toevoegen.

## kingdom
<Badge type="info" text="permissie: kingdom.admin"/>

```ts

/k kingdom setdisplayname <kingdom naam> <displaynaam>   // Stel de displaynaam in. bijv &aMijnKingdom
/k kingdom setprefixedname <kingdom naam> <prefixednaam> // Stel de prefix naan in. bijv &f[&aMijnKingdom&f]
/k kingdom setplaceholder <kingdom naam> <placeholder>   // Stel de placeholder in. bijv &f[&PlaceHolder&f]
/k kingdom setfriendlyfire <kingdom naam> on|off         // Stel in dat de een lid van een kingdom een andere lid van dezelfde kingdom kan slaan/doden.
/k kingdom setinviteonly <kingdom naam> on|off           // Stel in dat je alleen op uitnodiging lid kan worden van een kingdom
/k kingdom setmaxmembers <kingdom naam> <aantal>         // Stel de max. aantal leden in van een kingdom
/k kingdom setchatgroup <kingdom naam> <groep>           // Instellen van de chat groep
/k kingdom unsetchatgroup <kingdo naam>                  // Verwijderen van een chat-groep   

// alleen beschikbaar in mod-mode
/k kingdom create <kingdom naam>                         // Maak een kingdom aan
/k kingdom delete <kingdom naam>                         // Verwijder een kingdom
/k kingdom rename <kingdom naam>                         // Hernoem een kingdom incl. rechten/spelers... 
```

zie commentaar bij opdracht.

::: tip Voor het aanmaken/verwijderen van een kingdom moet je jezelf eerst in mod-mode zetten. zie [/k setmod ](/ref/commands#setmod)
:::



## leave
<Badge type="info" text="permissie: kingdom.leave"/>

```ts
/k leave
```

Verlaat een kingdom. Speler wordt ge-teleporteerd naar de world of serverspawn.



## list

<Badge type="info" text="permissie: kingdom.list"/>


```ts
/k list
```

Laat alle kingdoms zien.


## listservers

<Badge type="info" text="permissie: kingdom.admin"/>

```ts
/k listservers
```

Laat alle gekoppelde servers zien


# memberlist
<Badge type="info" text="permissie: kingdom.info"/>

```ts
/k memberlist <kingdomnaam>|<pagina>
```

Laat alle leden van een kingdom zien. Lijst is gesorteerd op het *gewicht* van de lid zijn rank


## msg 
<Badge type="info" text="permissie: kingdom.message"/>
<Badge type="tip" text="niet in standalone versie"/>

```ts
/k msg <spelersnaam>
```

Verstuur een privebericht naar een speler.



## myinvites 
<Badge type="info" text="permissie: kingdom.messsage"/>
<Badge type="info" text="alias: /t, /k pm, /m"/>

```ts
/k myminvites

// alleen beschikbaar in mod-mode
/k myinvites <spelersnaam>
```

Laat alle invites zien die je hebt gekregen.


## neutral

<Badge type="info" text="permissie: kingdom.neutral"/>

```ts
/k neutral <kingdomnnaam>

//alleen beschikbaar in mod-mode
/k neutral <kingdom naam verzender > <kingdom naam ontvanger> request // stuur verzoek tot wijzigen
/k neutral <kingdom naam verzender > <kingdom naam ontvanger> set // wijzig relatie
````
Verander de de status van een relatie met een andere kingdom naar vijandig. zie ook : [/k enemy](/ref/commands#enemy),  [/k ally](/ref/commands#ally).

Default moet de andere kingdom een bevesting of afwijzing geven. Dit kan in de config.yml worden uitgezet.  
  
```ts 
relationrequest:
    activate_neutralrequest: true // [!code --]
    activate_neutralrequest: false // [!code ++]
```

Als mod kan je ook de relatie aanpassen, of een verzoek sturen tot het wijzigen van een relatie  **Je stuurt het verzoek als de verzender!!!**



## open 
<Badge type="info" text="permissie: kingdom.join"/>

```ts
/k open

```

Open een simpele gui met alle kingdoms. Als je op een kingdom klikt, kan je er lid van worden.
De lore kan aangepast worden in de taal bestanden.


## province

<Badge type="info" text="hoofd permissie: kingdom.province"/>
<Badge type="info" text="permissie: province.kick"/>
<Badge type="info" text="permissie: province.set"/>


```ts
/k province join <provincie naam> // wordt lid van een provincie
/k province leave                 // verlaat een provincie
/k kick <spelers naam>            // kick een speler uit een provincie (extra permissie nodig: province.kick)     
/k set <spelers naam> <provincie> // zet een speler in een provincie (extra permissie nodig: province.set)  

//alleen voor speler in mod-mode en met permissie: kingdom.admin
/k province create <kingdom naam>  <provincie naam>    // maak een provincie aan 
/k province delete   <provincie naam>                  // verwijder een provincie
/k province setmaxmembers <provincie naam> <aantal>    // stel de max aantal leden in          
/k province setdisplayname <provincie naam> <naam>     // stel de display naam in
/k province setprefixedname <provincie naam> <naam>    // stel de prefixed naam in
/k province setplaceholder  <provincie naam> <naam>    // stel de placeholder in                   
```

::: tip Tip
Een Speler die toegang heeft tot `k province kick <speler>`  maar geen mod is, kan alleen spelers uit eigen kingdom zetten, mits 
de te kicken speler een lagere rank heeft als de speler die kicked
:::

## ranks

<Badge type="info" text="permissie: kingdom.admin"/>

```ts
/k rank info <kingdom naam> <ranknaam>               // Laat zien of een rank uitgeschakeld is voor een kingdom
/k rank enable <kingdom naam> <ranknaam>             // Schakel voor een kingdom een rank in.
/k rank disable <kingdom naam> <ranknaam>            // Schakel voor een kingdom een rank uit.
/k rank limit set <kingdom naam> <ranknaam> <value>  // Stel voor een kingdom een limit van een rank in.
/k rank limit unset <kingdom naam> <ranknaam>        // Verwijder een limit van een rank
```

## reply
<Badge type="info" text="permissie: kingdom.message"/>
<Badge type="info" text="alias: /k r "/>
<Badge type="tip" text="niet in standalone versie"/>

Reactie geven geven op de laast gekregen prive bericht.


## reload

<Badge type="info" text="permissie: kingdom.admin"/>

```ts
/k reload
```

Herladen van alle config bestanden.

## regions

::: tip Alleen bij MultiPaper: Gebruik de plugin worldguard-sync voor het synchroniseren van de worldguard regions     
zie [github multipaper](https://github.com/MultiPaper/worldguard-syncer).
:::

<Badge type="info" text="permissie: kingdom.admin"/>


```ts
/k regions list <kingdom naam>                               // geeft regio lijst van de opgegeven kingdom
/k regions listall                                           // laat alle gekoppelde regio's zien 
/k regions add <kingdom naam> <regionnaam>                   // koppel een regio aan een kingdom
/k regions remove <kingdom naam> <regionnaam>                // verwijder een regio van een kingdom
/k regions setdisplayname <kingdom naam> <displaynaam>       // pas van een regio de displaynaam aan.    
```

zie commentaar bij opdracth


## retract

<Badge type="info" text="permissie: kingdom.invite"/>

```ts
/k retract <spelersnaam>

// alleen beschikbaar in modmode
/k retract <kingdom naam> <spelersnaam>
```

Trek een invite van een speler in.

## server

<Badge type="info" text="permissie: kingdom.serverspawn"/>
<Badge type="tip" text="niet in standalone versie"/>
```ts
/k server <worldnaam>                            
```

Ga naar de serverspawn van een server.  zie [/k setserver](/ref/commands#setserver).


## set

<Badge type="info" text="permissie:kingdom.set"/>

```ts
/k set <spelersnaam> <kingdom naam>                            
```

Zet een speler in een kingdom. 


## setlanguage
<Badge type="info" text="permissie: kingdom.locale"/>
```ts
/k setlanguage <taal>
```

Met deze opdracht kan een speler een taal kiezen.


## setings

<Badge type="info" text="permissie:kingdom.admin"/>

```ts
/k set KickLocation
/k set LeaveLocation              

/k unset KickLocation
/k unset LeaveLocation    
```

## setdynmap

Instellingen gelden voor alle servers.

<Badge type="info" text="permissie: kingdom.admin"/>

```ts
/k setdynmap  <kingdon naam> <set> strokeColor <value>
/k setdynmap  <kingdon naam> <set> strokeopacity <value>
/k setdynmap  <kingdon naam> <set> strokeweight <value>
/k setdynmap  <kingdon naam> <set> fillcolor <value>
/k setdynmap  <kingdon naam> <set> fillopacity <value>

/k setdynmap  <kingdon naam> <unset> strokeColor 
/k setdynmap  <kingdon naam> <unset> strokeopacity 
/k setdynmap  <kingdon naam> <unset> strokeweight
/k setdynmap  <kingdon naam> <unset> fillcolor
/k setdynmap  <kingdon naam> <unset> fillopacity 
```

## setlevel

<Badge type="info" text="permissie: kingdom.setlevel"/>

```ts
/k setlevel  kingdom set <kingdom naam>  <level naam> 
/k setlevel  kingdom unset <kingdom naam> 

/k setlevel  player set <spelers naam>  <level naam> 
/k setlevel  player unset <spelers naam> 

/k setlevel  province set <provincie naam>  <level naam> 
/k setlevel  player unset <provincie naam> 
                                  
```
Stel de level in van een kingdom,speler of provincie.

zie [kingdomlevels](/ref/kingdomlevel) ,[playerlevels](/ref/playerlevel) ,[provincelevels](/ref/provincelevel).


## setslogan

<Badge type="info" text="permissie: kingdom.setslogan"/>


```ts
/k setslogan <slogan> 

//Alleen beschikbaar in mod-mode
/k setslogan <kingdom naam> <slogan> 
```

Stel de slogan van eigen kingdom in. Een speler in mod-mode kan alle kingdoms instellen. 


## setup

<Badge type="info" text="permissie: kingdom.setup"/>


zie [instellen permissies](../guide/setup.md#instellen-permissies)


## setchannel

<Badge type="info" text="permissie: kingdom.setchannel"/>


```ts
/k setchannel channels <channelnaam>  enable|disable|status 

/k setchannels players <spelersnaam> locking set <channel>
/k setchannels players <spelersnaam> locking unset 
/k setchannels players <spelersnaam> locking status

/k setchannels players <spelersnaam> blocking <channel> set <time>
/k setchannels players <spelersnaam> blocking <channel> unset 
/k setchannels players <spelersnaam> blocking <channel> status 

```

Schakel een kanaal uit/aan op alle aangesloten servers, zet een speler vast op een kanaal, of blokeer een kanaal voor een speler.

## setmod

<Badge type="info" text="permissie: kingdom.admin"/>
<Badge type="info" text="alias: /k m"/>

:::  tip Een speler in mod-mode mag standaard geen spelers slaan/doden.
Dit kan worden aangepast in de config.yml door  `setmod_always_kills` op `true` te zetten.  

Ook kan een speler in mod-mode overal plaatsen/breken/gebruiken enz.
:::

```ts
/k setmod enable|disable|status
```

Zet jezelf in/uit mod-mode of controleer je status.  
Hiermee krijg je extra mogelijkheden bij de commando's : [/k kingdom](/ref/commands#kingdom),  [/k setspawn](/ref/commands#setspawn),  [/k setwarp](/ref/commands#setwarp),  [/k warp](/ref/commands#warp),
  [/k spawn](/ref/commands#spawn),  [/k setrank](/ref/commands#setserver) , [/k invite](/ref/commands#invite) , [/k myinvites](/ref/commands#myinvites), [/k enemy](/ref/commands#enemy), [/k ally](/ref/commands#allies),
  [/k neutral](/ref/commands#neutral), [/k accept](/ref/commands#accept), [/k accept](/ref/commands#deny)


## setrank


<Badge type="info" text="permissie: kingdom.setrank"/>

```ts
/k setrank <spelersnaam> <rank>
```

## setserver

<Badge type="info" text="permissie: kingdom.setserver"/>
<Badge type="tip" text="niet in standalone versie"/>
```ts
/k setserver <set>
/k setserver <unset> <wereldnaam>
```

Stel of verwijder de server-spawn in.

## setspawn

<Badge type="info" text="permissie: kingdom.setspawn"/>


```ts
/k setspawn <set>
/k setspawn <unset> 

//Alleen beschikbaar in mod-mode
/k setspawn set <kingdom naam> 
/k setspawn unset <kingdom naam> 
```

Stel of verwijder de server-spawn in. Spelers in mod-mode kunnen alle kingdoms instellen. zie [/k setmod](/ref/commands#setmods)

## setTravel
<Badge type="info" text="permissie: kingdom.settravel"/>

Met de onderstaande opdrachten kan je een travel locatie toevoegen of verwijderen.

```ts
/k settravel add <naam>       // toevoegen
/k settravel remove <naam>    // verwijderen
```

## setTime

<Badge type="info" text="permissie: kingdom.admin"/>

```ts
/k settime day 
/k settime midday
/k settime night
/k settime midnight
/k settime sunrise
```
Met deze opdracht kan je de tijd aanpassen van de master time server. De time server verzorgt de syncronisatie van de tijd naar alle andere servers.
Deze syncronisatie staat standaard uit. Je kan deze aanzetten in de config.yml. De opdracht is alleen beschikbaar als de syncronisatie aan staan.


## setvisitor

<Badge type="info" text="permissie: kingdom.setvisitor"/>


```ts
/k setvistor set <kingdom naam>       // toevoegen
/k setvistor unset <kingdom naam>    // verwijderen
/k setvistor list                    // geef een lijst van toegestaande kingdoms
```

Geef/verwijder/controleer of alle leden van een kingdom makkelijk naar je spawn kunnen teleporteren.
De leden van de toegestaande kingdom kunnen daarvoor de opdracht [/k visitspawn](/ref/commands#visitspawn) gebruiken.

## setwarp

<Badge type="info" text="permissie: kingdom.setwarp"/>


```ts
/k setwarp set <warpnaam>                       // toevoegen huidige locatie als warp
/k setwarp unset <warpnaam>                     // verwijderen warp

//Alleen beschikbaar in mode-mode
/k setwarp set <kingdom naam> <warpnaam>         // toevoegen huidige locatie als warp
/k setwarp unset <kingdom naam> <warpnaam>       // verwijderen warp
```

Stel of verwijder een warp van een kingdom in. Spelers in mod-mode kunnen alle kingdoms instellen. zie [/k setmod](/ref/commands#setmods)

Een warp mag niet buiten een kingdom regio worden aangemaakt. Deze controle kan worden ingeschakeld/uitgeschakeld in de config.yml

```ts
kingdoms: 
    restrict_warp_to_region : true   // [!code --]
    restrict_warp_to_region : false  // [!code ++]
```


## showrelation

<Badge type="info" text="permissie: kingdom.showrelation"/>

```ts            
/k showrelation <kingdom naam>  <kingdom naam> 
```

Laat de relatie tussen twee kingdom's zien.

## spawn 

<Badge type="info" text="permissie: kingdom.spawn"/>
<Badge type="info" text="alias: /k s"/>

```ts
/k spawn              

//Alleen beschikbaar in mode-mode
/k spawn <kingdom naam> 
```
Ga naar de spawn van een kingdom.


## spy 

<Badge type="info" text="permissie:kingdom.spy"/>

```ts
/k spy enable kingdom <kingdom naam>   // lees mee met een kingdom
/k spy enable all                      // lees mee met alle kingdoms
/k spy disable all                     // Lees niet meer mee
/k spy disable kingdom <kingdom naam>  // Lees niet meer mee
```

Lees mee met de kingdom-chat van een kingdom

## travel 

<Badge type="info" text="permissie: kingdom.travel"/>

Met deze opdracht kan je naar een ingestelde locatie gaan. Het werkt netzo als een warp, maar wordt deze locatie door een beheerder ingesteld.
Je kan de naam van de opdracht aanpassen in de config.yml zodat een speler ipv ```/k travel <naam>``` de opdracht ```/k goto <naam>``` gebruikt.

Voor het instellen van een travel locatie zie :[/k settravel](#settravel)

```ts
/k travel <naam> //ga naar een locatie   
/k travel list   //geef een lijst met
```

Teleporteer alle online leden naar de huidige locatie van de speler


## tp 

<Badge type="info" text="permissie: kingdom.admin"/>

```ts
/k tp warp <player> <kingdom> <warpname>
/k tp spawn <player> <kingdom>
/k tp serverspawn <player> <server>
/k tp travel <player> <name>
```

Teleporteer een speler naar een plugin locatie. De bovenstaande opdrachten zijn hiervoor beschikbaar

## tphere 

<Badge type="info" text="permissie: kingdom.tphere"/>

```ts
/k tphere    

//Alleen beschikbaar in mode-mode
/k tphere <kingdom naam>          
```

Teleporteer alle online leden naar de huidige locatie van de speler


## sync 
<Badge type="info" text="permissie: kingdom.admin"/>


```ts
/k sync <onderdeel>                
```

Haal de data op van de SockPlugin


## version 

<Badge type="info" text="permissie: kingdom.admin"/>

```ts
/k version    
```
Geef informatie o.a. huidige versie- en build nummer.


## visitspawn 
<Badge type="info" text="permissie: kingdom.visitspawn"/>       


```ts
/k visitspawn <kingdom>
```
Teleporteer naar de spawn van een andere kingdom. Speler moet toestemming krijgen van de tegenpartij dmv de opdracht [/k setvisitor](/ref/commands#setvisitor)


## warp 

<Badge type="info" text="permissie: kingdom.warp"/>
<Badge type="info" text="alias: /k w"/>

```ts
/k warp <warpnaam>                 

//Alleen beschikbaar in mode-mode
/k setwarp <kingdom naam> <warpnaam>       
```

Ga naar een warp van een kingdom.