---
navbar: true
lastUpdated: true
aside: false
sidebar: true
title: Wie mag wat en wanneer
description: Game-play instelmogelijkheden in de ultimate kingdom plugin 
meta_keywords: 'kingdom plugin, ultimate, minecraft plugin, spigot ,paper,folia, gameplay, addons gameplay, events'
meta_url: 'https://ultimatekingdom.nl'

---

# GamePlay.yml

In dit configuratiebestand kun je instellen wanneer een speler kan:

* bouwen
* slopen
* aan-uit zetten (switch)
* gebruiken 
* als wapen gebruiken

Je kan dit instellen voor de verschillende relaties zoals allies ,enemies of spelers met een kingdom, spelers zonder kingdom, eigen kingdom leden, spelers in een regio, spelers buiten een regio.

::: info Voorbeeld hieronder is de instelling van eigen kingdom leden.
Je ziet bij  `kingdom_allowWeapon_inownregion` dat er  'STICK' staat.
Dat zorgt er voor dat eigen kingdom leden elkaar kunnen slaan met een 'STICK'

Je kunt dit uit zetten d.m.v. 'STICK' te vervangen door 'NONE'
:::

 ```ts
 # leden van een kingdom die in een eigen regio zitten volgen de onderstaande regels
#  
kdinown:
  # 
  # toestaan bouwen
  kingdom_allowbuild_inownregion:
  - ALL
  # 
  # niet bouwen
  kingdom_denybuild_inownregion:
  - ''
  # 
  # toestaan slopen
  kingdom_allowdestroy_inownregion:
  - ALL
  # 
  # iet slopern
  kingdom_denydestroy_inownregion:
  - ''
  # 
  #  aan/uit zetten (zie lijst)
  kingdom_canswitch_inownregion:
  - ALL
  # 
  # toestaan om te gebruiken (zie lijst)
  kingdom_canItemUse_inownregion:
  - ALL
  # 
  #  kan wapen gebruiken (zie lijst)
  kingdom_allowWeapon_inownregion:
  - STICK
  # 
  # kan wapen niet gebruiken (zie lijst)
  kingdom_denyWeapon_inownregion:
  - ''
  ```


##  Diagram afhandelen van action/attack event

### Attack event



```mermaid
%%{init: {'theme': 'base', 'themeVariables': {
      'primaryColor': '#BB2528',
      'primaryTextColor': '#fff',
      'primaryBorderColor': '#7C0000',
      'lineColor': '#F8B229',
      'secondaryColor': '#006100',
      'tertiaryColor': '#34363a'
   }}}%%
        graph TD
         Z1[einde]
         Start[Execute attack event]
         Start --> Q1{is het speler tegen speler?}
         Q1 ==> P1([ja])
         Q1 ==> Z0([nee]) --> Z1
         P1 ==> A[controle mod-mode] -->  B( worldguard flag kingdom_friendlyFire) --> C( worldguard flag kingdom_pvp) -->  C1( kingdom flag friendlyfire) -->C2( kingdom flag ENEMIES) -->C3( kingdom flag NEUTRAL) --> D( kingdom flag ALLIES)
        
        
        
        
         D --> E{is speler in regio?}   
         E ==> F0([ja]) --> F1[check: kingdomloos tegen kingdomloos] --> F2[check: kingdomloos tegen kingdom-lid] --> F3[check: kingdom-lid tegen kingdomloos]
         F3 ==> F4{kingdom-lid tegen  eigen kindom-lid?} 
         F4 ==> F5([ja]) --> F11[check: kingdomlid tegen eigen kingdomlid] -->Z1
         F4 ==> F6([nee]) -->  F7[check: vijandige relatie] -->  F8[check: vriendschappelijke relatie] --> F9[check: neutrale relatie]  --> F10[check: kingdomlid in niet eigen regio] -->Z1
         E ==> H1([nee])  --> H2[check: kingdomloos tegen kingdomloos] --> H3[check: kingdomloos tegen kingdom-lid] --> H4[check: kingdom-lid tegen kingdomloos]
         H4 ==> H5{kingdom-lid tegen  eigen kindom-lid?} 
         H5 ==> H6([ja]) --> H7[check: kingdomlid tegen eigen kingdomlid] -->Z1
         H5 ==> H8([nee]) --> H9[check: vijanden vechten buiten regio] --> H10[check: vrienden vechten buiten regio] --> H11[check: neurtrale kingdoms vechten] --> H12[check: overige ] -->Z1

         subgraph geen regio
          H1
          H2
          H2
          H3
          H4
          H5
          H6
          H7 
          H8
          H9
          H10
          H11
          H12
         end   
          subgraph In regio
          F0
          F1
          F2
          F3
          F4
          F5
          F6
          F7
          F8
          F9
          F10
          F11
          end
```

###  Action event

Hieronder staat de schematische volgorde voor het afhandelen van een actie van een speler. Onder actie verstaan we : breken/plaatsen/gebruiken enz.

```mermaid
%%{init: {'theme': 'base', 'themeVariables': { 
      'primaryColor': '#BB2528',
      'primaryTextColor': '#fff',
      'primaryBorderColor': '#7C0000',
      'lineColor': '#F8B229',
      'secondaryColor': '#006100',
      'tertiaryColor': '#34363a'
  }}}%%
        graph TD
         Z1[einde]
         Start[Execute action event]
         Start --> Mod[check: setmod]
         Mod --> Q1{zit speler in een regio?}
         Q1 ==> P1([nee])
         P1 ==> P2[check: kingdomless buiten regio] -->    P3[check: kingdomlid buiten regio] -->Z1
         Q1 ==> H1([ja]) --> H2[check: kingdomless in regio] --> H3[check: eigen regio] --> H4[check: flag:ENEMIES]   
         H4 ==> H5[check: flag:FRIENDLY]   
         H5 ==> H6[check: flag:NEUTRAL]  
         H6 ==> H8[check: vijandelijke regio]  --> H9[check: vriendschappelijk regio] --> H10[check: neutrale regio] -->Z1
         subgraph geen regio
          P1
          P2
          P3
         end   
          subgraph In regio
          H1
          H2
          H3
          H4
          H5
          H6   
          H8
          H9
          H10
          end
```