---
lastUpdated: true
aside: false
title: Placeholders 
description: Alle placeholders in de ultimate kingdom plugin
meta_keywords: 'kingdom plugin, ultimate, minecraft plugin, spigot ,paper,folia, gameplay, addons gameplay, events'
meta_url: 'https://ultimatekingdom.nl'
---

# PlaceHolders

## Intern gebruik
De kingdom plugin maakt gebruik van [Okaeri Placeholders](https://github.com/OkaeriPoland/okaeri-placeholders)

Zowel de [default](https://github.com/OkaeriPoland/okaeri-placeholders/blob/master/core/src/main/java/eu/okaeri/placeholders/DefaultPlaceholderPack.java) als de [bukkit](https://github.com/OkaeriPoland/okaeri-placeholders/tree/master/bukkit) placeholder-packs van Okaeri zijn opgenomen in onze plugin. 



We linken objecten naar elkaar door : ```{kingdomplayer.kingdom.prefixedname}``` of  ```{kingdomplayer.rank.prefixedname}. ```

:::tip
In sommige gevallen wordt er andere voorzetsels gebruikt, zoals bijvoorbeeld bij het gebruik van twee kingdomplayer objecten kan er gebruik worden gemaakt van ``` {killer.displayname}```  of ``` {target.displayname}``` . Dit moet in de context van de gebruikte tekst voor zichzelf spreken
:::

:::warning Let op!
Sommige placeholders kunnen een ```null``` waarde terugggeven, zoals de rank bij een speler die niet in een kingdom zit.
Gebruik geef hiervoor een vervangende woord/zin op in de placeholder : ```{kingdomplayer.kingdom.prefixedname|niet gevonden}```
:::

## PlaceholderAPi

Het doorlinken en failback  is ook beschikbaar onder placeholderapi, bijv ```  %kingdomplayer_kingdom_displayname|&c[kingdomloos]% ```  of ``` %kingdomplayer_rank_displayname|&c[Bedelaar]%``` 


## Kleuren

Er is ondersteuning voor Hex getallen (#FFFFF) , Bukkit kleuren (&C) en  de  ChatColor  kleuren placeholder zloals ``` {red}, {yellow}, {dark_blue} ,{light_purple} ```.
Maar ook : ``` {bold} {italic} {underline} en {reset}```.


### KingdomPlayer placeholders

ook te gebruiken via PlaceholderAPI

```ts
kingdomplayer.name (String)
kingdomplayer.displayname (String)
kingdomplayer.prefixedname (String)
kingdomplayer.server (String)
kingdomplayer.cluster (String)
kingdomplayer.lockedchannel (String)
kingdomplayer.defaultchannel (String)
kingdomplayer.blockedchannels (String)
kingdomplayer.disabledchannels (String)
kingdomplayer.mayorprovinces (String)
kingdomplayer.region (String)

kingdomplayer.province (Province,NULL)
kingdomplayer.player (Player)
kingdomplayer.level  (PlayerLevel,NULL)
kingdomplayer.kingdom (Kingdom,NULL)
kingdomplayer.rank (Rank,NULL)
kingdomplayer.locale (Locale)

kingdomplayer.kingdomjointime (Instant)
kingdomplayer.kingdomleavetime (Instant)
kingdomplayer.lastchangetime (Instant)
kingdomplayer.createtime (Instant)

kingdomplayer.afk (boolean)
kingdomplayer.online (boolean)
kingdomplayer.onlinelocal (boolean)
kingdomplayer.isking (boolean)
kingdomplayer.ismayor (boolean)

//debug
kingdomplayer.flags (String)

``` 

### Kingdom placeholders

```ts
kingdom.name (String)            
kingdom.prefixedname (String)
kingdom.displayname (String)
kingdom.placeholder (String)
kingdom.slogan (String)
kingdom.maxmembers (Integer)
kingdom.status (String)
kingdom.level (KingdomLevel,NULL)
kingdom.inviteonly (Boolean)
kingdom.friendlyfire (Boolean)
kingdom.chatgroup (String)

kingdom.createdtime  (Instant)
kingdom.spawnvisitors (String)

kingdom.totalmembers (String)
kingdom.onlinemembers (Integer)
kingdom.offlinemembers (Integer)
kingdom.totalofflinemembers (Integer)
kingdom.totalonlinemembers (Integer)
kingdom.kinguuid (String)
kingdom.kingname (String)
kingdom.provinces (String)
kingdom.regions (String)
kingdom.allies (String)
kingdom.neutral (String)
kingdom.enemies (String)
kingdom.totalenemies (Integer)
kingdom.totalneutral (Integer)
kingdom.totalallies (Integer)
kingdom.hascombat (Boolean)
kingdom.scheduledcombats (String)
kingdom.totalscheduledcombats (Integer)
```

### Channel placeholders
```ts
channel.name (String)
channel.displayname (String)
```

### KingdomRegion placeholders
```ts
kingdomregion.name (String)
kingdomregion.displayname (String)


kingdomregion.world (Word)
kingdomregion.kingdom (Kingdom)
```


### ProvinceLevel placeholders
```ts
provinceregion.name (String)
provinceregion.displayname (String)


provinceregion.world (Word)
provinceregion.kingdom (Kingdom)
provinceregion.province (Province)
```

### PlayerLevel placeholders
```ts
playerlevel.name (String)
playerlevel.displayname (String)
playerlevel.prefixedname (String)
playerlevel.placeholder (String)

```
### Province placeholders
```ts
province.name (String)
province.displayname (String)
province.prefixedname (String)
province.placeholder (String)

province.kingdom (Kingdom)
province.maxmebers (Integer)
province.owner (KingdomPlayer)
```

### Rank placeholders
```ts
rank.name (String)
rank.displayname (String)
rank.placeholder (String)
rank.maxplayers (String)
```

### Locale placeholders
```ts
locale.language (String)
locale.displaylanguage (String)
locale.displayname (String)
locale.country (String)
locale.displaycountry (String)
```

### CombatTeam placeholders
```ts
combat.name (String)
combat.displayname (String)
combat.duration (Duration)
combat.starttime (Instant,NULL)
combat.totalteams (Integer)

combat.warningTime (Instant)
combat.isrunning (Boolean)
combat.sendwarning (Boolean)
combat.status (Enum)
```

### CombatTeam placeholders
```ts
combatteam.name (String)
combatteam.displayname (String)
combatteam.totalmembers (Integer)
combatteam.members (String)
